#!/bin/bash

go run ./golang/main.go &
GO_PID=$!

pip install flask flask-cors
python3 ./python/main.py & 
PYTHON_PID=$!

cd node
yarn install
cd ..
node ./node/index.js &
NODE_PID=$!

function stop_scripts {
    echo "Zamykanie skryptów..."
    kill $GO_PID $PYTHON_PID $NODE_PID
    exit 0
}

trap stop_scripts SIGINT

wait